Subject: Re: bug#25096: shr: Add a customizable face for links after being clicked

From: Clément Pit--Claudel <[email-masked]>
Date: Fri, 2 Dec 2016 22:42:00 -0500

On 2016-12-02 19:02, Drew Adams wrote:
>> Sorry for the confusion. I'm talking about it in eww.
>>
>> Also, I'm not talking about a "visited-link" -- it is really about
>> indication that a link was just successfully clicked. For example,
>> in eww, visit an arbitrary page and move point to an arbitrary link and
>> then press '&' (eww-browse-with-external-browser). There is no
>> indication that the command has been executed. Even a dashed box
>> lasting a few seconds on the clicked URL would help a lot.
> 
> So it's an EWW enhancement request.
> 
> An ephemeral box won't tell you later that you already visited
> that URL in an external browser.
> 
> You could also have 3 faces for having used the link:
> 
> 1. For having visited its destination in EWW.
> 2. For having visited its destination in an external browser.
> 3. For having visited its destination in both.
> 
> #1 could use a foreground color.  #2 could use an outline box.
> #3 could use both.

Drew, I think there's some lingering confusion here.  Try pressing the left mouse button down on a link in Firefox, and keeping it pressed down.  Notice how Firefox displays a dotted box around the link.  This is indeed a eww enhancement request, but I don't think it's specific to external browsers; it's just about indicating that a link has been clicked in the time interval from the click to the point when the next page replaces the current one. 

Clément.